/[smeserver]/rpms/common/.cvs-import.sh.swp
ViewVC logotype

Contents of /rpms/common/.cvs-import.sh.swp

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.2 - (show annotations) (download)
Sun May 20 06:11:17 2007 UTC (16 years, 11 months ago) by slords
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +1 -1 lines
FILE REMOVED
bad import

1 b0VIM 6.3iKF @.Hslordsb32-4.lordsfam.net~slords/ready/common/cvs-import.sh3210#"! Utpÿ‰ÿÿÿÿ~Š8ad;‰ôòÇmEàßÏ´™˜fR-à
2 Õ
3 Ò
4 «
5 \
6 
7
8
9 
10 ½ « † k (  Ç z 1 "    ó
11 Ò
12 Ñ
13 
14 ~
15 e
16 P
17 M
18 L
19 9
20 /
21 !
22 
23 
24 ë ê ž ˆ j i $ áÝÒÐϽµ¬•ƒEøçÜË«}ukcBûóëêØÍ»³²€uia`[:ÕËñŽ^VLDö¶€7/%åͱ˜{sj`[Z> ÷ôó±‡GF;# all wellPACKAGE="$(cd $(dirname $PACKAGE) && pwd)/$(basename $PACKAGE)"# directories fairly often in this script# make sure the PACKAGE is an absolute path, as we'll be changingfi exit 0 Usage echo "RPM source package required for import"if [ -z "$PACKAGE" ] ; thendone shift esac ;; NAME=${NAME%%-$VERSION} VERSION=${NAME##*-} NAME=${NVR%%-$RELEASE} RELEASE=${NVR##*-} # extract NAME VERSION RELEASE, like a 31337 h@x0r fi exit -3 Usage echo "ERROR: Package $PACKAGE does not look like a source RPM package" if [ -z "$NVR" -o "$SRCRPM" != "(none)" ] ; then SRCRPM=$(rpm -qp --qf "%{SOURCERPM}" $PACKAGE 2>/dev/null) NVR=$(rpm -qp --qf "%{NAME}-%{VERSION}-%{RELEASE}" $PACKAGE 2>/dev/null) fi exit -2 Usage echo "ERROR: Package $PACKAGE does not exist" if [ ! -e "$PACKAGE" ] ; then PACKAGE="$1" fi exit -1 echo "Already got request for $PACKAGE" >&2 echo "ERROR: Only one package at a time, please" >&2 if [ -n "$PACKAGE" ] ; then * ) ;; exit 0 Usage -h | --help ) # the always helpful help message ;; MESSAGE="$1" shift -m | --message ) ;; fi BRANCH= if [ "$BRANCH" = "HEAD" -o "$BRANCH" = "devel" ] ; then # protect against moronisms fi exit -1 Usage echo "ERROR: --branch requires an argument" if [ -z "$BRANCH" ] ; then BRANCH="$1" shift -b | --branch ) # the import # not exist, we will branch the HEAD and then we will perform # import the package on the given branch. If the branch does case "$1" in while [ -n "$1" ] ; doMESSAGE=BRANCH=# Parse arguments} exit 1EOF"-b BRANCH" flag. This script can not create new branches for you.The package can also be imported on a PRE-EXISTING branch using the BRANCH = ${BRANCH:-devel}CVSROOT = $CVSROOTImports a package into the cvs repository. Will use the following defaults: $0 [-b <branch>] [-m <message>] <package>Usage: cat <<EOFUsage() {# short usage helpfi WORKDIR="$(pwd)"if test -w $(pwd) ; thenWORKDIR="/tmp"# We need a writable directory for temporary checkouts and CVS workCVSROOT=$(cat ${MYDIR}/CVS/Root)# use the CVSROOT from the checkoutfi fi exit 1 echo " from https://admin.fedora.redhat.com/accounts/" >&2 echo " You need to download a new client-side certificate" >&2 echo "ERROR: Your Fedora client-side certificate expired." >&2 if [ $? -ne 0 ]; then ${OPENSSL} x509 -checkend 6000 -noout -in ${HOME}/.fedora.certif [ -x ${OPENSSL} ]; thenOPENSSL=$(which openssl 2>/dev/null)# next 10 minutes# Check that the ssl certificate is not already expired or expiring in thefi exit 1 echo " from https://admin.fedora.redhat.com/accounts/" >&2 echo "ERROR: You need to download your Fedora client-side certificate" >&2if [ ! -f ${HOME}/.fedora.cert ]; thenfi exit 1 echo "ERROR: You need to run this script from the 'common' checkout" >&2if [ ! -f ${MYDIR}/CVS/Root ] ; thenMYDIR=$(dirname $0)# Check that we're being run from a good locationTOPLEVEL=${TOPLEVEL:=rpms}CVSTREE=${CVSTREE:=extras}# Initial setup# $Id: .cvs-import.sh.swp,v 1.1 2007/05/20 06:07:53 slords Exp $## Copyright (C) 2005 Fedora Foundation# Copyright (C) 2004-2005 Red Hat, Inc.# Licensed under the new-BSD license (http://www.opensource.org/licenses/bsd-license.php)# Import a given src.rpm on a given branch##!/bin/bashad- !
25 8Ñ›{GüõãÞÙѼ®©£œˆƒmR
26
27 Ø
28 À
29 ½
30 •
31 d
32 D
33 
34 å Ý × Ô Ä Ã ª  œ ‹ ] \
35 þ ¯ ‡ 8  ÿ
36 þ
37 ë
38 Í
39 ‚
40 5
41 4
42 )
43 !
44
45 CleanUp# Clean up cd ${BRANCH} && cvs -Q tag "${TAG}" && echo "Tagging '${TAG}' complete." cvs -Q commit ${MESSAGE:+-m "$MESSAGE"} && echo "Commit Complete" && \ echo "cvs commit..." && \cvs -Q update && \readecho "Otherwise press Enter to proceed to commit." echo "If you want to make any changes before committing, please press Ctrl-C."echo "Please check the above cvs diff."echo "======================================================================="cvs -Q diff -uecho "======================================================================="echo "$LOG_ENTRY:$(date +%s)" >> ./import.log# setup finishedrm -rf $TMP2# We no longer need thispopd >/dev/nullfi } exit 9 echo "ERROR: Uploading the source tarballs failed!" make upload FILES="$UPLOADFILES" || {if [ -n "$UPLOADFILES" ] ; thenrm -f .cvsignore && mv .cvsignore.new .cvsignorerm -f sources && mv sources.new sourcesfi cvs -Q add Makefile CreateBranchMakefileif [ ! -f Makefile ] ; then# Re-add the branch Makefile (during resurrection of dead packages).pushd ${BRANCH} >/dev/null# upload the tarballsdone popd >/dev/null fi esac ;; echo "A $f" cvs -Q add -ko $f *) ;; fi echo "L $f" else echo "N $f" # this file existed before with a different md5sum if [ -n "$(grep $f sources 2>/dev/null)" ] ; then UPLOADFILES="$UPLOADFILES $f" *.jar | *.war | *.db | *.cpio | *.jisp | *.egg ) *.ttf | *.bin | *.tbz | *.pdf | *.rpm | \

admin@koozali.org
ViewVC Help
Powered by ViewVC 1.2.1 RSS 2.0 feed